Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030556
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementcriticalalways2015-08-12 11:052015-08-21 21:01
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf8dc8ea21e39
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030556: Goods shipment can be processed although there is not stock of a product and negative stock is not allowed at client level

DescriptionGoods shipment can be processed although there is not stock of a product and negative stock is not allowed at client level. The organization of the goods shipment lines will be different from the organization of the header
Steps To ReproduceAs group admin role:
   Check Allow Negative Stock is not selected in Client - Information tab
   Create a sales order for F&B España Región Norte for a product that has only stock in F&B España Región Sur warehouse
   Create a Goods Shipment for F&B España and Region Norte warehouse
   Click on Create Lines From and select the already created sales order line and a storage bin of Region Norte warehouse
   Check you can process the shipment
   If you launch the stock report you will see negative stock is available in Region Norte
   If you show the Organization of the Goods Shipment lines, you will see it is different from the header organization too
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00306003.0PR15Q4 closedaferraz Create Lines From process allows to choose any locator 

-  Notes
(0079428)
aferraz (developer)
2015-08-20 10:20

Test plan:

As group admin role:

   Check Allow Negative Stock is not selected in Client - Information tab

   Create a sales order for F&B España Región Norte for a product that has only stock in F&B España Región Sur warehouse
   Create a Goods Shipment for F&B España and Region Norte warehouse
   Click on Create Lines From and select the already created sales order line and a storage bin of Region Norte warehouse
   Check you can not process the shipment: Insufficient stock

   Create a sales order for F&B España Región Sur for a product that has only stock in F&B España Región Sur warehouse
   Create a Goods Shipment for F&B España and Region Sur warehouse
   Click on Create Lines From and select the already created sales order line and a storage bin of Region Norte warehouse
   Check you can process the shipment
(0079578)
hgbot (developer)
2015-08-21 13:34

Repository: erp/devel/pi
Changeset: f8dc8ea21e395d387eb03eaa99ae67e25de0e216
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Aug 20 10:41:31 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f8dc8ea21e395d387eb03eaa99ae67e25de0e216 [^]

Fixes issue 30556: Available stock check not correct in M_INOUT_POST

M_InOut organization was sent when calling M_Check_Stock in M_INOUT_POST function instead of M_InOutLine Locator's organization

---
M src-db/database/model/functions/M_INOUT_POST.xml
---
(0079579)
hgbot (developer)
2015-08-21 13:34

Repository: erp/devel/pi
Changeset: 1d9e795478baa44eda31459457d74dbe8fdc1b82
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 21 13:33:27 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1d9e795478baa44eda31459457d74dbe8fdc1b82 [^]

Related to Issue 30556. Code Review Changes.

---
M src-db/database/model/functions/M_INOUT_POST.xml
---
(0079580)
dmiguelez (developer)
2015-08-21 13:36

Code Review + Testing Ok
(0079581)
hgbot (developer)
2015-08-21 13:47

Repository: erp/devel/pi
Changeset: 6db6e5448fd2a8447ca6b9d71283c0bd43cf0d13
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 21 13:46:55 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6db6e5448fd2a8447ca6b9d71283c0bd43cf0d13 [^]

Related to Issue 30556: Removes unnecessary Query.

---
M src-db/database/model/functions/M_INOUT_POST.xml
---
(0079590)
hudsonbot (developer)
2015-08-21 21:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/be999ae66d23 [^]
Maturity status: Test
(0079591)
hudsonbot (developer)
2015-08-21 21:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/be999ae66d23 [^]
Maturity status: Test
(0079592)
hudsonbot (developer)
2015-08-21 21:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/be999ae66d23 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-12 11:05 ngarcia New Issue
2015-08-12 11:05 ngarcia Assigned To => Triage Finance
2015-08-12 11:05 ngarcia Modules => Core
2015-08-12 11:05 ngarcia Triggers an Emergency Pack => No
2015-08-12 11:06 ngarcia Issue Monitored: networkb
2015-08-12 12:43 eintelau Issue Monitored: eintelau
2015-08-18 09:38 aferraz Assigned To Triage Finance => aferraz
2015-08-19 10:09 aferraz Relationship added related to 0030600
2015-08-20 09:22 aferraz Status new => scheduled
2015-08-20 10:20 aferraz Note Added: 0079428
2015-08-21 13:34 hgbot Checkin
2015-08-21 13:34 hgbot Note Added: 0079578
2015-08-21 13:34 hgbot Status scheduled => resolved
2015-08-21 13:34 hgbot Resolution open => fixed
2015-08-21 13:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f8dc8ea21e395d387eb03eaa99ae67e25de0e216 [^]
2015-08-21 13:34 hgbot Checkin
2015-08-21 13:34 hgbot Note Added: 0079579
2015-08-21 13:36 dmiguelez Review Assigned To => dmiguelez
2015-08-21 13:36 dmiguelez Note Added: 0079580
2015-08-21 13:36 dmiguelez Status resolved => closed
2015-08-21 13:47 hgbot Checkin
2015-08-21 13:47 hgbot Note Added: 0079581
2015-08-21 21:00 hudsonbot Checkin
2015-08-21 21:00 hudsonbot Note Added: 0079590
2015-08-21 21:00 hudsonbot Checkin
2015-08-21 21:00 hudsonbot Note Added: 0079591
2015-08-21 21:01 hudsonbot Checkin
2015-08-21 21:01 hudsonbot Note Added: 0079592


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker